# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-05-21 17:52
from __future__ import unicode_literals

import django.contrib.postgres.indexes
from django.contrib.postgres.operations import BtreeGinExtension
from django.db import migrations

import misago.core.pgutils


class Migration(migrations.Migration):

    dependencies = [
        ('misago_threads', '0005_index_search_document'),
    ]

    operations = [
        migrations.RunSQL(
            "DROP INDEX misago_post_has_open_reports_partial",
            """
                CREATE INDEX misago_post_has_open_reports_partial
                ON misago_threads_post(has_open_reports)
                WHERE has_open_reports = TRUE
            """,
        ),
        migrations.RunSQL(
            "DROP INDEX misago_post_is_hidden_partial",
            """
                CREATE INDEX misago_post_is_hidden_partial
                ON misago_threads_post(is_hidden)
                WHERE is_hidden = FALSE
            """,
        ),
        migrations.RunSQL(
            "DROP INDEX misago_thread_is_global",
            """
                CREATE INDEX misago_thread_is_global
                ON misago_threads_thread(weight)
                WHERE weight = 2
            """,
        ),
        migrations.RunSQL(
            "DROP INDEX misago_thread_is_local",
            """
                CREATE INDEX misago_thread_is_local
                ON misago_threads_thread(weight)
                WHERE weight < 2
            """,
        ),
        migrations.RunSQL(
            "DROP INDEX misago_thread_has_reported_posts_partial",
            """
                CREATE INDEX misago_thread_has_reported_posts_partial
                ON misago_threads_thread(has_reported_posts)
                WHERE has_reported_posts = TRUE
            """,
        ),
        migrations.RunSQL(
            "DROP INDEX misago_thread_has_unapproved_posts_partial",
            """
                CREATE INDEX misago_thread_has_unapproved_posts_partial
                ON misago_threads_thread(has_unapproved_posts)
                WHERE has_unapproved_posts = TRUE
            """,
        ),
        migrations.RunSQL(
            "DROP INDEX misago_thread_is_hidden_partial",
            """
                CREATE INDEX misago_thread_is_hidden_partial
                ON misago_threads_thread(is_hidden)
                WHERE is_hidden = FALSE
            """,
        ),
        migrations.RunSQL(
            "DROP INDEX misago_thread_is_pinned_globally_partial",
            """
                CREATE INDEX misago_thread_is_pinned_globally_partial
                ON misago_threads_thread(weight)
                WHERE weight = 2
            """,
        ),
        migrations.RunSQL(
            "DROP INDEX misago_thread_is_pinned_locally_partial",
            """
                CREATE INDEX misago_thread_is_pinned_locally_partial
                ON misago_threads_thread(weight)
                WHERE weight = 1
            """,
        ),
        migrations.RunSQL(
            "DROP INDEX misago_thread_is_unpinned_partial",
            """
                CREATE INDEX misago_thread_is_unpinned_partial
                ON misago_threads_thread(weight)
                WHERE weight = 0
            """,
        ),

        migrations.AddIndex(
            model_name='post',
            index=misago.core.pgutils.PgPartialIndex(fields=['has_open_reports'], name='misago_thre_has_ope_92be2c_part', where={'has_open_reports': True}),
        ),
        migrations.AddIndex(
            model_name='post',
            index=misago.core.pgutils.PgPartialIndex(fields=['is_hidden'], name='misago_thre_is_hidd_29a6b4_part', where={'is_hidden': False}),
        ),
        migrations.AddIndex(
            model_name='thread',
            index=misago.core.pgutils.PgPartialIndex(fields=[b'weight'], name='misago_thre_weight_78926f_part', where={b'weight': 2}),
        ),
        migrations.AddIndex(
            model_name='thread',
            index=misago.core.pgutils.PgPartialIndex(fields=[b'weight'], name='misago_thre_weight_525ed7_part', where={b'weight': 1}),
        ),
        migrations.AddIndex(
            model_name='thread',
            index=misago.core.pgutils.PgPartialIndex(fields=[b'weight'], name='misago_thre_weight_5810c3_part', where={b'weight': 0}),
        ),
        migrations.AddIndex(
            model_name='thread',
            index=misago.core.pgutils.PgPartialIndex(fields=[b'weight'], name='misago_thre_weight__1981ff_part', where={b'weight__lt': 2}),
        ),
        migrations.AddIndex(
            model_name='thread',
            index=misago.core.pgutils.PgPartialIndex(fields=[b'has_reported_posts'], name='misago_thre_has_rep_8867fa_part', where={b'has_reported_posts': True}),
        ),
        migrations.AddIndex(
            model_name='thread',
            index=misago.core.pgutils.PgPartialIndex(fields=[b'has_unapproved_posts'], name='misago_thre_has_una_c66880_part', where={b'has_unapproved_posts': True}),
        ),
        migrations.AddIndex(
            model_name='thread',
            index=misago.core.pgutils.PgPartialIndex(fields=[b'is_hidden'], name='misago_thre_is_hidd_0aef24_part', where={b'is_hidden': False}),
        ),
    ]
